[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [MIT-Scheme-devel] A new way of swank MIT-Scheme

From: Tamás Kovács
Subject: Re: [MIT-Scheme-devel] A new way of swank MIT-Scheme
Date: Wed, 21 Mar 2012 08:52:17 +0100

Thanks, Chris. So I guess then the process should be something like
this: check scheme version and if it's 9.1 or above then use the
built-in swank server. For older scheme versions use
swank-mit-scheme.scm that comes with Slime. Is that OK?

What is the correct way to detect the MIT scheme version (from the
shell)? Is there a 'scheme --version' command or similar? Is there any
specific environment variable I can check? Is there any specific
executable that I can check the presence of?

2012/3/21 Chris Hanson <address@hidden>:
> Only the 9.1 release has any Slime support.  I haven't had time to do
> more work on it, but the code in that release does work.
> On Tue, Mar 20, 2012 at 4:27 AM, Frank <address@hidden> wrote:
>> 于 2012年03月20日 19:06, Tamás Kovács 写道:
>>> I see, thanks.
>>> Do you know a way how to detect whether the user has an MIT scheme
>>> version that supports swank[1] or not? So that slimv[2] could use
>>> different
>>> commands to start up the swank server depending on the scheme
>>> version...
>> Let's try to communicate with the developer of MIT-Scheme.
>> To mit-scheme-devel: We are looking for more powerful ways to connect with
>> scheme and frontend for swank.
>> This is the first e-mail.
>> [1] MIT-Scheme supports swank:
>> Swank support, somewhat flaky at the moment
>> [2] slimv:
>> slimv.vim : Superior Lisp Interaction Mode for Vim ("SLIME for Vim")
>> [3] Tamás Kovács <address@hidden> is the author of slimv.

reply via email to

[Prev in Thread] Current Thread [Next in Thread]